Bug 150299 - redhat-config-* should be renamed to system-config-*
redhat-config-* should be renamed to system-config-*
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-bind (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
: FutureFeature
Depends On:
Blocks: 150573
  Show dependency treegraph
Reported: 2005-03-04 09:31 EST by Dimitri Papadopoulos
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-21 10:26:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitri Papadopoulos 2005-03-04 09:31:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.5) Gecko/20041217

Description of problem:
Most Red Hat configuration tools have been renamed from redhat-config-* to system-config-* (the executables, not the packages themselves.

Some tools have been left behind. For example the executables for the redhat-config-bind package are still called redhat-config-bind instead of system-config-bind.

This is annoying when using shell completion to find a system configuration tool.

See also similar bug report for Fedora:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rpm -ql redhat-config-bind

Actual Results:  [...]

Expected Results:  [...]

Additional info:
Comment 1 Dimitri Papadopoulos 2005-03-04 09:39:28 EST
See also similar bug report for Fedora and another Red Hat Enterprise Linux 4
Comment 4 Jay Turner 2005-03-07 04:40:59 EST
Did you upgrade you're machine to RHEL4?  We didn't ship 'redhat-config-bind' in
RHEL4, we actually dropped it due to being broken and were going to get
system-config-bind fixed up and ready for a future update, so I suspect you just
have an old copy of redhat-config-bind on your system from somewhere that didn't
get removed, as there's nothing to "remove" it at this point.
Comment 6 Dimitri Papadopoulos 2005-03-07 04:56:43 EST
Yes, it appears this is the result of an upgrade from RHEL3 to RHEL4, same as
issue #150300:
Case closed I guess...

Upgrading to RHEL3 to RHEL4 should be made more robust, not everyone can afford
a fresh install,  but that's another story.
Comment 9 Suzanne Hillman 2005-03-08 11:56:47 EST
Internal RFE bug #150573 entered; will be considered for future release.
Comment 11 Jason Vas Dias 2005-06-07 16:05:53 EDT
This bug is fixed with system-config-bind-4.0.0-16_EL4 , which should
be in RHEL-4-U2. Meanwhile, you can download it from:
Comment 16 Jay Turner 2006-07-21 10:26:23 EDT
system-config-bind-4.0.0-41_FC6 is part of RHEL5 and obsoletes
redhat-config-bind, so closing this issue out.

Note You need to log in before you can comment on or make changes to this bug.